• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

Noob developer help!!! Pwn Phone/Kali phone Nexus 5

Search This thread

bobisguilty

New member
Oct 1, 2013
1
0
Hello all,

I am the noobest person when it comes to Android development, yet here I am trying to build my own Android for the Pwn Phone.

I followed the XDA guide here: http://forum.xda-developers.com/goo...opment/guide-convert-phone-pwn-phone-t2852293

As well as the official steps at Pwnie Express: https://www.pwnieexpress.com/build-pwn-phone

And after hours of reading and setting everything up according to all of the steps in those guides, I'm running into a Java error during the build portion. The two important specs are:

Linux Elementary (Ubuntu 16, Loki)
OpenJDK 6/7/8
Oracle Java 7/8

The error I'm getting is:

You asked for an OpenJDK 7 build but you version is
java version "1.7.0_80" Java(TM) SE Runtime Environment (build 1.7.0_80-b15) Java Hotspot(TM) 64-bit Server VM (build 24.80-b11, mixed mode).

I've downloaded and isntalled OpenJDK 6, 7 and 8 as well as Oracle Java 7 and 8 and I changed the defaults by running:

sudo update-alternatives --config java
sudo update-alternatives --config javac

I've changed to every version of Java listed there, removed them all and installed them all again. Either I get the above error message or I get "You are attempting to build with the incorrect version of Java...etc"

I get the error around 10 minutes after I run the "brunch hammerhead" command.

I'm not sure which version of Java I need as I believe this 1.7.0 IS Java 7. Whenever I switch to 8 it says the version is 1.8 and the same thing with 6 (1.6). I've downloaded and installed every program listed in the two guides to set up the environment properly, but somehow keep running into this problem. Would somebody out there be able to point me in the right direction? Every other command has run without a problem so I know Java is the only thing keeping me from building this ROM. This is the first ROM I've tried to compile, though I've rooted and installed many custom ROMs for previous phones. This is the first time I've been this involved in getting a ROM and any help would be appreciated.
 

droid1568

New member
Feb 22, 2018
2
0
Hello all,

I am the noobest person when it comes to Android development, yet here I am trying to build my own Android for the Pwn Phone.

I followed the XDA guide here: http://forum.xda-developers.com/goo...opment/guide-convert-phone-pwn-phone-t2852293

As well as the official steps at Pwnie Express: https://www.pwnieexpress.com/build-pwn-phone

And after hours of reading and setting everything up according to all of the steps in those guides, I'm running into a Java error during the build portion. The two important specs are:

Linux Elementary (Ubuntu 16, Loki)
OpenJDK 6/7/8
Oracle Java 7/8

The error I'm getting is:

You asked for an OpenJDK 7 build but you version is
java version "1.7.0_80" Java(TM) SE Runtime Environment (build 1.7.0_80-b15) Java Hotspot(TM) 64-bit Server VM (build 24.80-b11, mixed mode).

I've downloaded and isntalled OpenJDK 6, 7 and 8 as well as Oracle Java 7 and 8 and I changed the defaults by running:

sudo update-alternatives --config java
sudo update-alternatives --config javac

I've changed to every version of Java listed there, removed them all and installed them all again. Either I get the above error message or I get "You are attempting to build with the incorrect version of Java...etc"

I get the error around 10 minutes after I run the "brunch hammerhead" command.

I'm not sure which version of Java I need as I believe this 1.7.0 IS Java 7. Whenever I switch to 8 it says the version is 1.8 and the same thing with 6 (1.6). I've downloaded and installed every program listed in the two guides to set up the environment properly, but somehow keep running into this problem. Would somebody out there be able to point me in the right direction? Every other command has run without a problem so I know Java is the only thing keeping me from building this ROM. This is the first ROM I've tried to compile, though I've rooted and installed many custom ROMs for previous phones. This is the first time I've been this involved in getting a ROM and any help would be appreciated.

hi.
any luck building the rom